Bug 9551 - AIX c++ and large files
Summary: AIX c++ and large files
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 3.2.1
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-03 19:06 UTC by rutt
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rutt 2003-02-03 19:06:00 UTC
Compile any c++ file that includes iostream with -D_LARGE_FILES (needed to be able to access files > 2GB).

I get 

In file included from /usr/local/include/c++/3.2.1/powerpc-ibm-aix5.1.0.0/bits/c++io.h:35,
                 from /usr/local/include/c++/3.2.1/bits/fpos.h:44,
                 from /usr/local/include/c++/3.2.1/iosfwd:46,
                 from /usr/local/include/c++/3.2.1/ios:44,
                 from /usr/local/include/c++/3.2.1/ostream:45,
                 from /usr/local/include/c++/3.2.1/iostream:45,
                 from ../../../dev/src/intcache/protocol/noc.c:20:
/usr/local/include/c++/3.2.1/cstdio:108: `fgetpos' not declared
/usr/local/include/c++/3.2.1/cstdio:110: `fopen' not declared
/usr/local/include/c++/3.2.1/cstdio:115: `freopen' not declared
/usr/local/include/c++/3.2.1/cstdio:118: `fsetpos' not declared

Release:
gcc 3.2.1

Environment:
aix 5.1
Comment 1 Paolo Carlini 2003-02-13 20:31:11 UTC
State-Changed-From-To: open->closed
State-Changed-Why: This is, unfortunately, a well known, still unsolved issue:
    see libstdc++/8610, for instance.